commit:     44114902153aa9af84500e3dacebb830369657f5
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 24 10:57:03 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Nov 24 12:46:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44114902

dev-ruby/childlabor: EAPI 8

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/childlabor/childlabor-0.0.3-r2.ebuild | 37 ++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-ruby/childlabor/childlabor-0.0.3-r2.ebuild 
b/dev-ruby/childlabor/childlabor-0.0.3-r2.ebuild
new file mode 100644
index 000000000000..1f85f3021ea9
--- /dev/null
+++ b/dev-ruby/childlabor/childlabor-0.0.3-r2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="childlabor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A scripting framework that replaces rake and sake"
+HOMEPAGE="https://github.com/carllerche/childlabor";
+COMMIT_ID="6518b939dddbad20c7f05aa075d76e3ca6e70447"
+SRC_URI="https://github.com/carllerche/childlabor/archive/${COMMIT_ID}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="${PN}-${COMMIT_ID}"
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:2 )"
+
+all_ruby_prepare() {
+       # Avoid failing spec. The signals work, but the stdout handling
+       # doesn't seem to play nice with portage.
+       sed -i -e '/can send signals/,/^  end/ s:^:#:' spec/task_spec.rb || die
+}
+
+each_ruby_test() {
+       ruby-ng_rspec -I. spec/task_spec.rb || die
+}

Reply via email to